Package org.drinkless.tdlib

# Class TdApi.InputStoryAreaTypeFoundVenue

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.InputStoryAreaType
org.drinkless.tdlib.TdApi.InputStoryAreaTypeFoundVenue

Enclosing class:
  TdApi

public static class TdApi.InputStoryAreaTypeFoundVenue extends TdApi.InputStoryAreaType
An area pointing to a venue found by the bot getOption("venue_search_bot_username").

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.InputStoryAreaType

  `TdApi.InputStoryAreaType.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `queryId`
  Identifier of the inline query, used to found the venue.
  `String`
  `resultId`
  Identifier of the inline query result.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InputStoryAreaTypeFoundVenue()`
  An area pointing to a venue found by the bot getOption("venue_search_bot_username").
  `InputStoryAreaTypeFoundVenue(long queryId, String resultId)`
  An area pointing to a venue found by the bot getOption("venue_search_bot_username").

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### queryId

    public long queryId
    Identifier of the inline query, used to found the venue.

  - ### resultId

    public String resultId
    Identifier of the inline query result.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InputStoryAreaTypeFoundVenue

    public InputStoryAreaTypeFoundVenue()
    An area pointing to a venue found by the bot getOption("venue_search_bot_username").

  - ### InputStoryAreaTypeFoundVenue

    public InputStoryAreaTypeFoundVenue(long queryId, String resultId)
    An area pointing to a venue found by the bot getOption("venue_search_bot_username").
    Parameters:
      `queryId` - Identifier of the inline query, used to found the venue.
      `resultId` - Identifier of the inline query result.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.InputStoryAreaType`
    Returns:
      this.CONSTRUCTOR